# vim: set sw=4 ts=4 et nu:

Name:           perl-File-Copy-Recursive
Version:        0.38
Release:        2.2
Summary:        Recursively copy files
Source:         http://search.cpan.org/CPAN/authors/id/D/DM/DMUEY/File-Copy-Recursive-%{version}.tar.gz
URL:            http://search.cpan.org/dist/File-Copy-Recursive
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Spec)
Requires:       perl(File::Copy)
Requires:       perl(File::Spec)

%description
Perl extension for recursively copying files and directories.

%prep
%setup -q -n "File-Copy-Recursive-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/File
%dir %{perl_vendorlib}/File/Copy
%{perl_vendorlib}/File/Copy/Recursive.pm
%dir %{perl_vendorarch}/auto/File
%dir %{perl_vendorarch}/auto/File/Copy
%{perl_vendorarch}/auto/File/Copy/Recursive
%doc %{perl_man3dir}/File::Copy::Recursive.%{perl_man3ext}*

%changelog
* Mon Dec 27 2010 pascal.bleser@opensuse.org
- initial package (0.38)
